Name:           knutclient
Version:        1.0.4
Release:        2%{?dist}
Summary:        KDE Client for NUT - Network UPS Tools

Group:          User Interface/Desktops
License:        GPLv2+
URL:            http://www.knut.noveradsl.cz/knutclient/index.html
Source0:        ftp://ftp.buzuluk.cz/pub/alo/knutclient/stable/%{name}-%{version}.tar.gz

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires: kdebase >= 4.4.1
%{?_qt4_version:Requires: qt >= %{_qt4_version}}
%{?_kde4_version:Requires: kdelibs4 >= %{_kde4_version}}
%{?_kde4_macros_api:Requires: kde4-macros(api) = %{_kde4_macros_api} }

BuildRequires:  kdelibs-devel >= 4.4.1
BuildRequires:  qt-devel >= 4.6
BuildRequires:  desktop-file-utils >= 0.15

%description
KNutClient is a visual KDE client for UPS systems using NUT - Network UPS Tools

%prep
%setup -q

# to prevent spurious-executable-perm
chmod -x src/knutdock.h
chmod -x src/knutdock.cpp

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
chmod 664 %{_builddir}/%{buildsubdir}/README
chmod 664 %{_builddir}/%{buildsubdir}/COPYING
chmod 664 %{_builddir}/%{buildsubdir}/AUTHORS
%{cmake_kde4} ..
popd

make %{_smp_mflags} -C %{_target_platform}

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} -C %{_target_platform}
%find_lang %{name} --with-kde

%clean
rm -rf %{buildroot}

%check
desktop-file-validate %{buildroot}/%{_kde4_datadir}/applications/kde4/knutclient.desktop

%post 
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
   touch --no-create %{_kde4_iconsdir}/hicolor &>/dev/null
   gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &>/dev/null || :
   update-desktop-database -q &> /dev/null
fi

%posttrans
gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null || :
update-desktop-database -q &> /dev/null


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS README COPYING
%{_kde4_bindir}/%{name}
%{_kde4_iconsdir}/hicolor/*/apps/knutclient.png
%{_kde4_iconsdir}/locolor/*/apps/knutclient.png
%{_kde4_appsdir}/knutclient
%{_kde4_datadir}/applications/kde4/knutclient.desktop

%changelog
* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Dec 9 2010 Eli Wapniarski <eli@orbsky.homelinux.org> 1.0.4-1
- Minor bug preventing build in rawhide (i.e F15) fixed

* Thu Jun 30 2010 Eli Wapniarski <eli@orbsky.homelinux.org> 1.0.3-2
- Corrected versioning in the About Knutclient dialog box

* Wed Jun 30 2010 Eli Wapniarski <eli@orbsky.homelinux.org> 1.0.3-1
- Patches for docbook fix no longer required
- Corrected Russian Localization
- cosmetic spec fixes

* Fri Jun 11 2010 Thomas Janssen <thomasj@fedoraproject.org> 1.0.1-7
- docbook fix
- cosmetic spec fixes

* Sat Apr 24 2010 Eli Wapniarski <eli@orbsky.homelinux.org> -1.0.1-6
- Initial release to repository
- Last SPEC file corrections

* Fri Apr 23 2010 Eli Wapniarski <eli@orbsky.homelinux.org> -1.0.1-5
- And yet more SPEC file corrections

* Fri Apr 23 2010 Eli Wapniarski <eli@orbsky.homelinux.org> -1.0.1-4
- Yet more SPEC file corrections

* Thu Apr 22 2010 Eli Wapniarski <eli@orbsky.homelinux.org> -1.0.1-3
- More SPEC file corrections

* Thu Apr 22 2010 Eli Wapniarski <eli@orbsky.homelinux.org> -1.0.1-2
- Corrected SPEC issues to conform to guidelines

* Sat Apr 10 2010 Eli Wapniarski <eli@orbsky.homelinux.org> -1.0.1-1
- Correction to CMakeList.txt
- patch for dso-linking no longer required

* Fri Apr 9 2010 Eli Wapniarski <eli@orbsky.homelinux.org> -1.0-4
- Corrected %%find_lang macro

* Fri Apr 9 2010 Eli Wapniarski <eli@orbsky.homelinux.org> -1.0-3
- Added patch to handle dso-linking for Fedora 13

* Mon Apr 5 2010 Eli Wapniarski <eli@orbsky.homelinux.org> -1.0-2
- Corrected naming conventions
- Corrected rpm installation conventions

* Mon Apr 5 2010 Eli Wapniarski <eli@orbsky.homelinux.org> -1.0-1
- Initial Release

